PGAS

Payment

API to pay Gas Negara.

Path

MethodPath
POSTapi/v1/bill/check

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: pay-pascaYes
usernameStringYour registered phone numberYes
tr_idIntegerIAK inquiry IDYes
signStringSignature. Value: md5(username+api_key+tr_id)Yes
{
  "commands" : "pay-pasca",
  "username" : "123123123", 
  "tr_id"    : "9732788",
  "sign"     : "032a26153bd4a705f34965c86612ce15"
}

Response 1 Bill

Loading...
{
  "data": {},
  "meta": []
}

Response Multiple Bill

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for payment code explanation using Laravel.

Video thumbnail

Or you can see this video for payment code explanation using PHP.

Video thumbnail